part of 'generated.dart';

class AcceptInviteByCodeVariablesBuilder {
  String inviteCode;

  final FirebaseDataConnect _dataConnect;
  AcceptInviteByCodeVariablesBuilder(this._dataConnect, {required  this.inviteCode,});
  Deserializer<AcceptInviteByCodeData> dataDeserializer = (dynamic json)  => AcceptInviteByCodeData.fromJson(jsonDecode(json));
  Serializer<AcceptInviteByCodeVariables> varsSerializer = (AcceptInviteByCodeVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<AcceptInviteByCodeData, AcceptInviteByCodeVariables>> execute() {
    return ref().execute();
  }

  MutationRef<AcceptInviteByCodeData, AcceptInviteByCodeVariables> ref() {
    AcceptInviteByCodeVariables vars= AcceptInviteByCodeVariables(inviteCode: inviteCode,);
    return _dataConnect.mutation("acceptInviteByCode", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class AcceptInviteByCodeData {
  final int teamMember_updateMany;
  AcceptInviteByCodeData.fromJson(dynamic json):
  
  teamMember_updateMany = nativeFromJson<int>(json['teamMember_updateMany']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final AcceptInviteByCodeData otherTyped = other as AcceptInviteByCodeData;
    return teamMember_updateMany == otherTyped.teamMember_updateMany;
    
  }
  @override
  int get hashCode => teamMember_updateMany.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['teamMember_updateMany'] = nativeToJson<int>(teamMember_updateMany);
    return json;
  }

  AcceptInviteByCodeData({
    required this.teamMember_updateMany,
  });
}

@immutable
class AcceptInviteByCodeVariables {
  final String inviteCode;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  AcceptInviteByCodeVariables.fromJson(Map<String, dynamic> json):
  
  inviteCode = nativeFromJson<String>(json['inviteCode']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final AcceptInviteByCodeVariables otherTyped = other as AcceptInviteByCodeVariables;
    return inviteCode == otherTyped.inviteCode;
    
  }
  @override
  int get hashCode => inviteCode.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['inviteCode'] = nativeToJson<String>(inviteCode);
    return json;
  }

  AcceptInviteByCodeVariables({
    required this.inviteCode,
  });
}

